DetokenizeSentenceSampleStream (Apache OpenNLP :: Core :: Formats 3.0.0-M4 API)
Description: declaration: package: opennlp.tools.formats.letsmt, class: DetokenizeSentenceSampleStream

Package opennlp.tools.formats.letsmt

# Class DetokenizeSentenceSampleStream

java.lang.Object
opennlp.tools.util.FilterObjectStream<opennlp.tools.sentdetect.SentenceSample,opennlp.tools.sentdetect.SentenceSample>
opennlp.tools.formats.letsmt.DetokenizeSentenceSampleStream

All Implemented Interfaces:
  `AutoCloseable`, `opennlp.tools.util.ObjectStream<opennlp.tools.sentdetect.SentenceSample>`

public class DetokenizeSentenceSampleStream extends opennlp.tools.util.FilterObjectStream<opennlp.tools.sentdetect.SentenceSample,opennlp.tools.sentdetect.SentenceSample>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DetokenizeSentenceSampleStream(opennlp.tools.tokenize.Detokenizer detokenizer, opennlp.tools.util.ObjectStream<opennlp.tools.sentdetect.SentenceSample> samples)`
  Initializes a `DetokenizeSentenceSampleStream`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `opennlp.tools.sentdetect.SentenceSample`
  `read()`

  ### Methods inherited from class opennlp.tools.util.FilterObjectStream

  `close, reset`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DetokenizeSentenceSampleStream

    public DetokenizeSentenceSampleStream(opennlp.tools.tokenize.Detokenizer detokenizer, opennlp.tools.util.ObjectStream<opennlp.tools.sentdetect.SentenceSample> samples)
    Initializes a `DetokenizeSentenceSampleStream`.
    Parameters:
      `detokenizer` - The `Detokenizer` to use. Must not be `null`.
      `samples` - The `samples` as input. Must not be `null`.
    Throws:
      `IllegalArgumentException` - Thrown if parameters are invalid.

- ## Method Details

  - ### read

    public opennlp.tools.sentdetect.SentenceSample read() throws IOException
    Throws:
      `IOException`